#ifndef _SIGN_H_
#define _SIGN_H_

void SignCalc(unsigned char const *s,
	      char *sig,
	      int sigbytes);

void SignAdd(unsigned char const *s,
	     char *sig,
	     int sigbytes);

int SignMatch(char const *textsig,
	      char const *patsig,
	      int sigbytes);

void SignOr(char const *sig1,
	    char const *sig2,
	    char *sign,
	    int sigbytes);

#endif	/* _SIGN_H_ */
