require "sigidx"

# class method
sign = SigIdx.calc("hello")
sign2 = SigIdx.calc("llo")

p SigIdx.match(sign, sign2)

sign2 = SigIdx.calc("helo")
p SigIdx.match(sign, sign2)

SigIdx.add(sign, "helo")
p SigIdx.match(sign, sign2)


# method
sign = SigIdx.new
sign.add!("hello")
sign2 = SigIdx.new
sign2.add!("llo")

p sign.include?(sign2)	# true
p sign.included?(sign2) # false

sign2 = SigIdx.new
sign2.add!("helo")

p sign.include?(sign2)	# false
p sign.included?(sign2)	# false

sign.add!("helo")
p sign.include?(sign2)	# true
p sign.included?(sign2) # false


